Useful or not, from you.
terraform Error loading state: state snapshot was created by Terraform v0.12.7, which is newer than current v0.12.6

Terraform Version

<!--- Run terraform -v to show the version, and paste the result between the ``` marks below.

If you are not running the latest version of Terraform, please try upgrading because your issue may have already been fixed. -->

v0.12.7

Debug Output

Error: Error loading state:
    state snapshot was created by Terraform v0.12.7, which is newer than current v0.12.6; upgrade to Terraform v0.12.7 or greater to work with this state

After the state file is changed by a higher version, it cannot be modified by a lower version

Why is there such a limit?

That's a useful answer
Without any help

If this was HTFE with a remote backend, try creating a new bundle with 12.7. I had this same issue and this fixed it